Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.project
Class DefaultSettingsMap

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.project.AbstractSettingsMap
          edu.stanford.smi.protegex.owl.model.project.DefaultSettingsMap

All Implemented Interfaces:
  SettingsMap

    public class DefaultSettingsMap

extends AbstractSettingsMap

An OWLProject wrapping a traditional Protege Project.

Author:
  Holger Knublauch

Constructor Summary
`DefaultSettingsMap(edu.stanford.smi.protege.util.PropertyList propertyList)`

Method Summary
`Boolean` | `getBoolean(String key)`
`Integer` | `getInteger(String key)`
`SettingsMap` | `getSettingsMap(String key)` Gets or creates a nested SettingsMap.
`String` | `getString(String key)`
`Iterator` | `listKeys()`
`void` | `remove(String key)`
`void` | `setBoolean(String key, Boolean value)`
`void` | `setInteger(String key, Integer value)`
`void` | `setString(String key, String value)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.project.AbstractSettingsMap
`getString, setBoolean, setInteger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSettingsMap

    public DefaultSettingsMap(edu.stanford.smi.protege.util.PropertyList propertyList)

Method Detail

### getBoolean

    public Boolean getBoolean(String key)

### getInteger

    public Integer getInteger(String key)

### getSettingsMap

    public SettingsMap getSettingsMap(String key)

  Description copied from interface: `SettingsMap`
  Gets or creates a nested SettingsMap.

  Parameters:
    `key` - the name of the nested map.
  Returns:
    an existing or ne SettingsMap

### getString

    public String getString(String key)

### listKeys

    public Iterator listKeys()

### remove

    public void remove(String key)

### setBoolean

    public void setBoolean(String key,
                           Boolean value)

### setInteger

    public void setInteger(String key,
                           Integer value)

### setString

    public void setString(String key,
                          String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.